#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
using namespace std;

int main()
{
    long long n, k, c;
    cin >> n >> k >>c;

    vector<long long> niz(n);

    long long mult=1;
    for(int i=0;i<n;i++)
    {
        cin >> niz[i];

    }

    long long trzb=0;
    for(int i =0;i<n-k+1;i++)
    {
        trzb=0;
        mult =1;
        for(int j=0;j<k;j++)
        {
            trzb+=niz[i+j]*mult;
            mult+=(mult<c);
        }
        cout << trzb << "\n";
    }



    return 0;
}